aboutsummaryrefslogtreecommitdiffstats
path: root/main/libcroco/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libcroco/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libcroco/APKBUILD')
-rw-r--r--main/libcroco/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/libcroco/APKBUILD b/main/libcroco/APKBUILD
new file mode 100644
index 0000000000..47a289667f
--- /dev/null
+++ b/main/libcroco/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libcroco
+pkgver=0.6.2
+pkgrel=0
+pkgdesc="GNOME CSS2 parsing and manipulation toolkit"
+url="http://www.gnome.org"
+license="LGPL"
+subpackages="$pkgname-dev"
+depends=
+makedepends="glib-dev libxml2-dev pkgconfig"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.6/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="glib-dev libxml2-dev pkgconfig"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="1429c597aa4b75fc610ab3a542c99209 libcroco-0.6.2.tar.bz2"